Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Lista disputes.
curl -X GET "https://api.chargefy.io/v1/disputes?charge=ch_A3LWjMBPhF5c4cQ6&limit=10" \ -H "Authorization: Bearer {{API_KEY}}"
disputes
ch_*
cus_*
pi_*
warning_needs_response
warning_under_review
warning_closed
needs_response
under_review
won
lost
created[gte]
created_at
created[gt]
created[lte]
created[lt]
1
100
{ "object": "list", "data": [ { "id": "dp_Wkd9eY49VkxeFQJF", "object": "dispute", "amount": 15000, "charge": "ch_A3LWjMBPhF5c4cQ6", "closed_at": null, "created_at": "2026-05-22T03:00:00Z", "currency": "brl", "customer": "cus_C51BzbRPd5GAGb41", "evidence": { "access_activity_log": null, "billing_address": null, "cancellation_policy": null, "cancellation_policy_disclosure": null, "cancellation_rebuttal": null, "customer_communication": null, "customer_email_address": "[email protected]", "customer_name": "Comprador", "customer_purchase_ip": "187.34.12.90", "customer_signature": null, "duplicate_charge_documentation": null, "duplicate_charge_explanation": null, "duplicate_charge_id": null, "product_description": "Assinatura mensal do plano Pro, com acesso imediato", "receipt": "file_RX6sMjA9euCviWP5", "refund_policy": null, "refund_policy_disclosure": null, "refund_refusal_explanation": null, "service_date": null, "service_documentation": null, "shipping_address": null, "shipping_carrier": null, "shipping_date": null, "shipping_documentation": null, "shipping_tracking_number": null, "uncategorized_file": null, "uncategorized_text": null }, "evidence_details": { "due_by": "2026-05-28T03:00:00Z", "has_evidence": true, "past_due": false, "submission_count": 1 }, "is_charge_refundable": false, "livemode": true, "metadata": {}, "payment_intent": "pi_1oeLQDejwquFSboz", "reason": "fraudulent", "status": "under_review", "transactions": [ { "id": "txn_Qm3vR8kZp2LwN7cT", "object": "transaction", "affiliate_fee_rate": null, "affiliation": null, "amount": -14415, "available_at": "2026-05-22T03:00:00Z", "created_at": "2026-05-22T03:00:00Z", "currency": "brl", "description": "Dispute", "exchange_rate": null, "expected_payout_at": null, "fee_amount": 256, "fee_details": [ { "affiliation": null, "amount": 256, "currency": "brl", "description": "Dispute received fee", "type": "dispute_received_fee" } ], "installment": null, "installment_count": null, "livemode": true, "metadata": {}, "net_amount": -14671, "payment_intent": "pi_1oeLQDejwquFSboz", "settled_at": "2026-05-22T03:00:00Z", "source": "dp_Wkd9eY49VkxeFQJF", "source_organization": "org_Nt99XL6FzLb1oCxT", "status": "paid", "type": "adjustment", "updated_at": "2026-05-22T03:00:00Z" } ], "updated_at": "2026-05-22T18:10:00Z" } ], "has_more": false, "url": "/v1/disputes" }
{ "error": { "code": "invalid_request", "message": "created[gte] must be a valid timestamp", "param": "created[gte]", "type": "invalid_request_error" } }
{ "error": { "code": "authentication_failed", "message": "Invalid API Key provided: ch_live_***************************************9f2c", "type": "authentication_error" } }